> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Account Errors

## Request Errors

The request to the `/accounts/{acc_id}` endpoint failed. These are the `sub_type` that can be returned.

### `INVALID_REQUEST`

The request body failed basic validation for the specific API endpoint.

### `NOT_FOUND`

The requested resource does not exist.

### `INVALID_HOLDER_ID`

The provided `holder_id` does not match an existing entity.

### `ACCOUNT_CONSENT_ALREADY_WITHDRAWN`

Consent for this account has already been withdrawn.

### `ACCOUNT_CONSENT_ALREADY_GRANTED`

Consent for this account has already been granted.

### `ACCOUNT_HAS_PAYMENT_IN_PROGRESS`

Consent for this account cannot be withdrawn as it has one or more associated payments in progress.

***

## Resource Errors

Errors set on an Account's `error` property for processes that are unsuccessful.

### `11001 – ACCOUNT_INVALID_DETAILS`

The details on the Account are invalid as reported by the FI.

#### Causes

* Incorrect Account information - the account number or routing number is incorrect.
* The Account could not be located.

```json theme={null}
{
  "type": "ACCOUNT_DISABLED",
  "code": 11001,
  "sub_type": "ACCOUNT_INVALID_DETAILS",
  "message": "Account was disabled due to invalid information reported by the financial institution."
}
```

#### Resolution

The Account will be disabled and all its capabilities will be removed.

***

### `11002 – ACCOUNT_CLOSED`

The Account has been closed.

#### Causes

* Account is closed.

```json theme={null}
{
  "type": "ACCOUNT_DISABLED",
  "code": 11002,
  "sub_type": "ACCOUNT_CLOSED",
  "message": "Account was disabled due to a closure in the underlying bank account."
}
```

#### Resolution

The account will be disabled and all its capabilities will be removed.

***

### `11003 – ACCOUNT_UNAUTHORIZED_PAYMENT`

The holder of the Account did not authorize a payment.

#### Causes

* A payment was stopped by the Account holder because they didn't authorize the payment.

```json theme={null}
{
  "type": "ACCOUNT_DISABLED",
  "code": 11003,
  "sub_type": "ACCOUNT_UNAUTHORIZED_PAYMENT",
  "message": "Account was disabled due to a payment reported as unauthorized by the financial institution."
}
```

#### Resolution

The account will be disabled and all its capabilities will be removed.

***

### `11004 – ACCOUNT_DISABLED_CONSENT_WITHDRAWN`

The holder of the Account withdrew consent.

#### Causes

* Account consent was withdrawn.

```json theme={null}
{
  "type": "ACCOUNT_DISABLED",
  "code": 11004,
  "sub_type": "ACCOUNT_DISABLED_CONSENT_WITHDRAWN",
  "message": "Account was disabled due to consent withdrawal."
}
```

#### Resolution

The account will be disabled and all its capabilities will be removed.

***

### `11005 – ACCOUNT_DISABLED_INVALID_STATE`

The underlying liability is in an invalid state.

#### Causes

* The underlying liability is in an unexpected state.

```json theme={null}
{
  "type": "ACCOUNT_DISABLED",
  "code": 11005,
  "sub_type": "ACCOUNT_DISABLED_INVALID_STATE",
  "message": "Account was disabled due to an invalid state in the underlying liability."
}
```

#### Resolution

The account will be disabled and all its capabilities will be removed.

***
